%define upstream_name    DBIx-Class-OptimisticLocking
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Optimistic locking support for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Optimistic locking support for DBIx::Class


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20.0-6.mga10
+ Revision: 2198109
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-5.mga9
+ Revision: 1802927
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-4.mga8
+ Revision: 1493921
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-3.mga7
+ Revision: 1267048
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-2.mga6
+ Revision: 1025466
- Rebuild for perl 5.22.2

* Tue Dec 22 2015 doktor5000 <doktor5000> 0.20.0-1.mga6
+ Revision: 913509
- added %%description
- imported package perl-DBIx-Class-OptimisticLocking


* Tue Dec 22 2015 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
